%define name2 wp

Name:       wp-cli
Version:    2.8.1
Release:    1%{?dist}
Summary:    The command line interface for WordPress
License:    MIT
URL:        http://%{name}.org/
Source0:    https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.phar
Source1:    LICENSE
Source2:    wp.1
Source3:    wp-completion.bash
BuildArch:  noarch

%description
WP-CLI is the command-line interface for WordPress.
You can update plugins, configure multisite installations
and much more, without using a web browser.

%prep
chmod +x %{SOURCE0}
{
    echo '.TH "WP" "1"'
    php %{SOURCE0} --help
} \
    | sed -e 's/^\([A-Z ]\+\)$/.SH "\1"/' \
    | sed -e 's/^  wp$/wp \\- The command line interface for WordPress/' \
> %{SOURCE2}

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{bash_completion_dir}
install -p -m 0755 %{SOURCE0} %{buildroot}%{_bindir}/%{name2}
cp -f %SOURCE1 LICENSE
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/
install -p -m 0644 %{SOURCE3} %{buildroot}%{bash_completion_dir}/


%files
%license LICENSE
%{_bindir}/%{name2}
%{_mandir}/man1/wp.1*
%{bash_completion_dir}/*

%changelog
* Fri Jun 16 2023 Daniel Berteaud <dbd@ehtrace.com> 2.8.1-1
- Include bash_completion (dbd@ehtrace.com)
- Update to 2.8.1 (dbd@ehtrace.com)

* Tue Jan 11 2022 Daniel Berteaud <dbd@ehtrace.com> 2.5.0-3
- Release bump

* Wed Dec 08 2021 Daniel Berteaud <dani@lapiole.org> 2.5.0-2
- Add tito_libs (dani@lapiole.org)

* Wed Dec 08 2021 Daniel Berteaud <dani@lapiole.org> 2.5.0-1
- new package built with tito

* Wed Dec 8 2021 Daniel Berteaud <dani@lapiole.org> - 2.5.0-1
- update to 2.5.0

* Fri Nov 22 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 2.4.0-2
- update release.

* Fri Nov 22 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 2.4.0-1
- update to 2.4.0.

* Tue Aug 20 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 2.3.0-1
- update to 2.3.0.

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 2.2.0-2
- include man
- change bindir wp-cli to wp

* Sat Jun 8 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 2.2.0-1
- update to 2.2.0.

* Sun Feb 24 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 2.1.0-1
- Initial package for Fedora, based on upstream SPEC file (dated Dec 2017).

